Passer au contenu principal
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
timetables
Retrieve campaign timetables (dayparting).
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/timetables \
  --header 'Authorization: Bearer <token>'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timetables": [
    {
      "isActive": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "startHour": 0,
      "endHour": 24
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.topsort.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Paramètres de chemin

campaign-id
string<uuid>
requis

The ID of the campaign.

Paramètres de requête

vendor_id
string
requis

The ID of the vendor.

Minimum string length: 1

Réponse

Successful Response

The schedule for the campaign.

campaignId
string<uuid>
requis

The ID of the campaign.

timetables
CampaignTimeTableResponse · object[]
requis

The schedule for the campaign.